
<div *ngIf="bloodPressure">
    <h2><span>Blood Pressure</span> {{bloodPressure.id}}</h2>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span>Timestamp</span></dt>
        <dd>
            <span>{{bloodPressure.timestamp | date:'medium'}}</span>
        </dd>
        <dt><span>Systolic</span></dt>
        <dd>
            <span>{{bloodPressure.systolic}}</span>
        </dd>
        <dt><span>Diastolic</span></dt>
        <dd>
            <span>{{bloodPressure.diastolic}}</span>
        </dd>
        <dt><span>User</span></dt>
        <dd>
            {{bloodPressure.user?.login}}
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'blood-pressure/'+ bloodPressure.id + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span> Edit</span>
    </button>
</div>
